package org.xyzh.common.dto.usercenter;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description 用户收藏表
 * @filename TbUserCollection.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbUserCollection extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 用户ID
     */
    private String userID;
    
    /**
     * @description 收藏类型（1资源 2课程）
     */
    private Integer collectionType;
    
    /**
     * @description 收藏对象ID
     */
    private String collectionID;

    /**
     * @description 收藏值
     */
    private Integer collectionValue;

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public Integer getCollectionType() {
        return collectionType;
    }

    public void setCollectionType(Integer collectionType) {
        this.collectionType = collectionType;
    }

    public String getCollectionID() {
        return collectionID;
    }

    public void setCollectionID(String collectionID) {
        this.collectionID = collectionID;
    }

    public Integer getCollectionValue() {
        return collectionValue;
    }

    public void setCollectionValue(Integer collectionValue) {
        this.collectionValue = collectionValue;
    }

    @Override
    public String toString() {
        return "TbUserCollection{" +
                "id=" + getID() +
                ", userID='" + userID + '\'' +
                ", collectionType=" + collectionType +
                ", collectionID='" + collectionID + '\'' +
                ", createTime=" + getCreateTime() +
                ", collectionValue=" + collectionValue +
                '}';
    }
}
